#!/bin/bash

. _lib.sh

t() {
    PID_S=`vca_canping -s 1 -b -R FF:$RTPRIO -d $CAN1`
    vca_canping -m 1 -R FF:$RTPRIO -v -g $DRIVER-0 -t 1 -d $CAN0 -w 0 -n 10 -c 10000
    vca_canping -m 1 -R FF:$RTPRIO -v -g $DRIVER-1 -t 1 -d $CAN0 -w 1 -n 10 -c 10000
    vca_canping -m 1 -R FF:$RTPRIO -v -g $DRIVER-2 -t 1 -d $CAN0 -w 2 -n 10 -c 10000
    kill $PID_S
}



PLOT_CMD='
set title "Round-trip time depending on delay between sends (`uname -r`)"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:] "socketcan-0-1000.dat" with lp lt 1 title "Socketcan 0",\
          "lincan-0-1000.dat" with lp lt 2 title "Lincan 0",\
          "socketcan-1-1000.dat" with lp lt 1 title "Socketcan 1",\
          "lincan-1-1000.dat" with lp lt 2 title "Lincan 1",\
          "socketcan-2-1000.dat" with lp lt 1 title "Socketcan 2",\
          "lincan-2-1000.dat" with lp lt 2 title  "Lincan 2"
'
